package com.ym.mec.biz.dal.dto;

import com.ym.mec.biz.dal.enums.MusicGroupStatusEnum;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

public class MusicGroupsDto {

    @ApiModelProperty(value = "乐团编号",required = true)
    private String musicGroupId;

    @ApiModelProperty(value = "乐团名称",required = true)
    private String musicGroupName;

    @ApiModelProperty(value = "学校名称",required = true)
    private String schoolName;

    @ApiModelProperty(value = "学校编号",required = true)
    private Integer schoolId;

    @ApiModelProperty(value = "乐团状态",required = true)
    private MusicGroupStatusEnum musicGroupStatus;

    @ApiModelProperty(value = "收费类型编号",required = true)
    private Integer chargeTypeId;

    @ApiModelProperty(value = "收费类型名称",required = true)
    private String chargeTypeName;

    @ApiModelProperty(value = "教务老师编号",required = true)
    private String educationalTeacherId;

    @ApiModelProperty(value = "教务老师名称",required = true)
    private String educationalTeacherName;

    @ApiModelProperty(value = "教学主管编号",required = true)
    private String teamTeacherId;

    @ApiModelProperty(value = "教学主管名称",required = true)
    private String teamTeacherName;

    @ApiModelProperty(value = "申请时间",required = true)
    private Date createTime;

    @ApiModelProperty(value = "成团时间",required = true)
    private Date billStartDate;

    @ApiModelProperty(value = "成团人数",required = true)
    private Integer billStartNum;

    @ApiModelProperty(value = "在读人数",required = true)
    private Integer payNum;

    public String getEducationalTeacherId() {
        return educationalTeacherId;
    }

    public void setEducationalTeacherId(String educationalTeacherId) {
        this.educationalTeacherId = educationalTeacherId;
    }

    public String getTeamTeacherId() {
        return teamTeacherId;
    }

    public void setTeamTeacherId(String teamTeacherId) {
        this.teamTeacherId = teamTeacherId;
    }

    public String getMusicGroupId() {
        return musicGroupId;
    }

    public void setMusicGroupId(String musicGroupId) {
        this.musicGroupId = musicGroupId;
    }

    public String getMusicGroupName() {
        return musicGroupName;
    }

    public void setMusicGroupName(String musicGroupName) {
        this.musicGroupName = musicGroupName;
    }

    public String getSchoolName() {
        return schoolName;
    }

    public void setSchoolName(String schoolName) {
        this.schoolName = schoolName;
    }

    public Integer getSchoolId() {
        return schoolId;
    }

    public void setSchoolId(Integer schoolId) {
        this.schoolId = schoolId;
    }

    public MusicGroupStatusEnum getMusicGroupStatus() {
        return musicGroupStatus;
    }

    public void setMusicGroupStatus(MusicGroupStatusEnum musicGroupStatus) {
        this.musicGroupStatus = musicGroupStatus;
    }

    public Integer getChargeTypeId() {
        return chargeTypeId;
    }

    public void setChargeTypeId(Integer chargeTypeId) {
        this.chargeTypeId = chargeTypeId;
    }

    public String getChargeTypeName() {
        return chargeTypeName;
    }

    public void setChargeTypeName(String chargeTypeName) {
        this.chargeTypeName = chargeTypeName;
    }

    public String getEducationalTeacherName() {
        return educationalTeacherName;
    }

    public void setEducationalTeacherName(String educationalTeacherName) {
        this.educationalTeacherName = educationalTeacherName;
    }

    public String getTeamTeacherName() {
        return teamTeacherName;
    }

    public void setTeamTeacherName(String teamTeacherName) {
        this.teamTeacherName = teamTeacherName;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getBillStartDate() {
        return billStartDate;
    }

    public void setBillStartDate(Date billStartDate) {
        this.billStartDate = billStartDate;
    }

    public Integer getBillStartNum() {
        return billStartNum;
    }

    public void setBillStartNum(Integer billStartNum) {
        this.billStartNum = billStartNum;
    }

    public Integer getPayNum() {
        return payNum;
    }

    public void setPayNum(Integer payNum) {
        this.payNum = payNum;
    }
}
